LibreOffice: XAccessibleHyperlink Interface Reference

LibreOffice LibreOffice 5.0 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XAccessibleHyperlink Interface Reference

Implement this interface to represent a hyperlink or a group of hyperlinks. More...

`import"XAccessibleHyperlink.idl";`

Inheritance diagram for XAccessibleHyperlink:

## Public Member Functions
any | getAccessibleActionAnchor ([in] long nIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns an object that represents the link anchor, as appropriate for that link. More...
any | getAccessibleActionObject ([in] long nIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns an object that represents the link anchor, as appropriate for that link. More...
long | getStartIndex ()
| Returns the index at which the textual representation of the hyperlink (group) starts. More...
long | getEndIndex ()
| Returns the index at which the textual representation of the hyperlink (group) ends. More...
boolean | isValid ()
| Returns whether the document referenced by this links is still valid. More...
Public Member Functions inherited from XAccessibleAction
long | getAccessibleActionCount ()
| Returns the number of accessible actions available in this object. More...
boolean | doAccessibleAction ([in] long nIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Perform the specified Action on the object. More...
string | getAccessibleActionDescription ([in] long nIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns a description of the specified action of the object. More...
XAccessibleKeyBinding | getAccessibleActionKeyBinding ([in] long nIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns a key binding object, if there is one, associated with the specified action. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Implement this interface to represent a hyperlink or a group of hyperlinks.

Single hyperlinks correspond to simple <a href> tags. Groups of hyperlinks are contained in client side image maps. Linked objects and anchors are implementation dependent. This interface inherits the XAccessibleAction interface. Especially that interface's XAccessibleAction::getActionCount() method is needed to obtain a maximum value for the indices passed to the XAccessibleHyperlink::getAccessibleActionAnchor() and XAccessibleHyperlink::getAccessibleActionObject() methods.

Furthermore, the object that implements this interface has to be connected implicitly or explicitly with an object that implements the the XAccessibleText interface. The XAccessibleHyperlink::getStartIndex() and XAccessibleHyperlink::getEndIndex() methods return indices with respect to the text exposed by that interface.

Since
  OOo 1.1.2

## Member Function Documentation

any getAccessibleActionAnchor | ( | [in] long | nIndex | ) |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

Returns an object that represents the link anchor, as appropriate for that link.

For an HTML link for example, this method would return the string enclosed by the &lt&a href> tag.

Parameters

  nIndex | This index identifies the anchor when, as in the case of an image map, there is more than one link represented by this object. The valid maximal index can be determined by calling the XAccessibleAction::getActionCount() method.

Returns
  If the index is not valid then an exception is thrown. Otherwise it returns an implementation dependent value.

any getAccessibleActionObject | ( | [in] long | nIndex | ) |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

Returns an object that represents the link anchor, as appropriate for that link.

For an HTML link for example, this method would return the URL of the &lt&a href> tag.

Parameters

  nIndex | This index identifies the action object when, as in the case of an image map, there is more than one link represented by this object. The valid maximal index can be determined by calling the XAccessibleAction::getActionCount() method.

Returns
  If the index is not valid then an exception is thrown. Otherwise it returns an implementation dependent value.

long getEndIndex | ( |  | ) |

Returns the index at which the textual representation of the hyperlink (group) ends.

The returned value relates to the XAccessibleText interface that owns this hyperlink.

Returns
  The index relates to the text exposed by the XAccessibleText interface.

long getStartIndex | ( |  | ) |

Returns the index at which the textual representation of the hyperlink (group) starts.

The returned value relates to the XAccessibleText interface that owns this hyperlink.

Returns
  The index relates to the text exposed by the XAccessibleHypertext interface.

boolean isValid | ( |  | ) |

Returns whether the document referenced by this links is still valid.

This is a volatile state that may change without further warning like e.g. sending an appropriate event.

Returns
  Returns `TRUE` if the referenced document is still valid and `FALSE` otherwise.

The documentation for this interface was generated from the following file:

- com/sun/star/accessibility/XAccessibleHyperlink.idl